> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/guides/features/conversion/convert-pdf-to-word.md).

# Convert PDF to Office in Xamarin

Convert PDF Documents to Word, Excel, and PowerPoint formats with ease using the Structured Output module. Available on Desktop and Server for Windows, Linux, or Mac. Learn how to install and use it h

To convert PDF Documents to Word format.

{% hint style="warning" %}
\*\* The Structured Output module is an optional add-on \*\*

Only available on Desktop and Server (Windows, Linux, or Mac) You can find more details about how to install the Structured Output module [here ](https://github.com/iKettles/apryse-gitbook/tree/main/core/guides/info/modules.md#structured-output-module).
{% endhint %}

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
Convert.WordOutputOptions wordOutputOptions = new Convert.WordOutputOptions();

// Optionally convert only the first page
wordOutputOptions.SetPages(1, 1);

// Requires the Structured Output module
Convert.ToWord(filename, output_filename, wordOutputOptions);
```

{% endcode %}
{% endtab %}
{% endtabs %}

To convert PDF Documents to Excel format.

{% hint style="warning" %}
\*\* The Structured Output module is an optional add-on \*\*

Only available on Desktop and Server (Windows, Linux, or Mac) You can find more details about how to install the Structured Output module [here ](https://github.com/iKettles/apryse-gitbook/tree/main/core/guides/info/modules.md#structured-output-module).
{% endhint %}

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
Convert.ExcelOutputOptions excelOutputOptions = new Convert.ExcelOutputOptions();

// Optionally convert only the first page
excelOutputOptions.SetPages(1, 1);

// Requires the Structured Output module
Convert.ToExcel(filename, output_filename, excelOutputOptions);
```

{% endcode %}
{% endtab %}
{% endtabs %}

To convert PDF Documents to PowerPoint format.

{% hint style="warning" %}
\*\* The Structured Output module is an optional add-on \*\*

Only available on Desktop and Server (Windows, Linux, or Mac) You can find more details about how to install the Structured Output module [here ](https://github.com/iKettles/apryse-gitbook/tree/main/core/guides/info/modules.md#structured-output-module).
{% endhint %}

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
Convert.PowerPointOutputOptions powerPointOutputOptions = new Convert.PowerPointOutputOptions();

// Optionally convert only the first page
powerPointOutputOptions.SetPages(1, 1);

// Requires the Structured Output module
Convert.ToPowerPoint(filename, output_filename, powerPointOutputOptions);
```

{% endcode %}
{% endtab %}
{% endtabs %}

[Convert PDF to Office](/xamarin/get-started/samples.md#pdf2officetest) Full sample code which shows how to convert generic PDF documents to Word, Excel, PowerPoint format


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/guides/features/conversion/convert-pdf-to-word.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
